Index: /ruby/branches/0.5/lib/adl_parser/Rakefile
===================================================================
--- /ruby/branches/0.5/lib/adl_parser/Rakefile	(revision 289)
+++ /ruby/branches/0.5/lib/adl_parser/Rakefile	(revision 290)
@@ -1,4 +1,3 @@
 require 'rubygems'
-#Gem::manage_gems
 require 'rake'
 require 'rake/testtask'
@@ -26,6 +25,4 @@
   end
 end
-
-
 
 desc "Generate TAGS by rtags."
@@ -79,5 +76,5 @@
   s.name = 'adl_parser'
   s.author = 'Akimichi Tatsukawa'
-  s.version = '0.0.3'
+  s.version = '0.0.4'
   s.summary = 'ADL parser'
   s.email = 'akimichi.tatsukawa@gmail.com'
@@ -85,5 +82,5 @@
   candidates = Dir.glob("{bin,docs,lib,test,ext}/**/*")
   s.files = candidates.delete_if do |item|
-    item.include?(".svn") || item.include?("rdoc")
+    item.include?(".svn") || item.include?("rdoc") || item.include?("log")
   end
   s.files = FileList['README', 'COPYING', 'Rakefile']
@@ -91,6 +88,6 @@
   s.has_rdoc = true
   s.extra_rdoc_files = ["README"]
-  s.add_dependency("yaparc", ">= 0.2.3")
-  s.add_dependency("openehr_models", ">= 0.0.1")
+#  s.add_dependency("yaparc", ">= 0.2.3")
+  s.add_dependency("openehr_models", ">= 0.0.3")
 end
 
@@ -105,6 +102,4 @@
 
 
-
-
 ### Local Variables:
 ### mode:ruby
Index: /ruby/branches/0.5/lib/adl_parser/lib/adl_exception.rb
===================================================================
--- /ruby/branches/0.5/lib/adl_parser/lib/adl_exception.rb	(revision 290)
+++ /ruby/branches/0.5/lib/adl_parser/lib/adl_exception.rb	(revision 290)
@@ -0,0 +1,14 @@
+module OpenEHR
+  module ADL
+    module Exception
+      class Base < RuntimeError
+      end
+
+      module CADLScanner
+        class Base < RuntimeError
+        end
+      end
+    end
+  end
+end
+
Index: /ruby/branches/0.5/lib/adl_parser/lib/adl_parser.rb
===================================================================
--- /ruby/branches/0.5/lib/adl_parser/lib/adl_parser.rb	(revision 289)
+++ /ruby/branches/0.5/lib/adl_parser/lib/adl_parser.rb	(revision 290)
@@ -8,4 +8,6 @@
 $:.unshift File.join(File.dirname(__FILE__))
 require 'logger'
+require 'adl_scanner.rb'
+require 'adl_exception.rb'
 
 module OpenEhr
@@ -18,6 +20,4 @@
     LOG.level = Logger::WARN
   end
-  
-  
 
 
@@ -25,8 +25,11 @@
     autoload :Parser, "parser.rb"
     autoload :Validator, "validator.rb"
-    
+
     module Scanner
       module DADL
-        autoload :RootScanner, "scanner.rb"
+        autoload :RootScanner, "adl_scanner.rb"
+      end
+      module CADL
+        autoload :RootScanner, "adl_scanner.rb"
       end
     end
